Bug 130334 - inserting Macromedia Flash object crashes ooimpress
inserting Macromedia Flash object crashes ooimpress
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-19 06:23 EDT by Victor Ashik
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-28 14:57:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Victor Ashik 2004-08-19 06:23:00 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7)
Gecko/20040803 Firefox/0.9.3

Description of problem:
Inserting Macromedia Flash object from any *.swf file causes ooimpress
to catch signal 11.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Download any swf file: wget
http://www.bell-labs.com/history/unix/images/unix_parts.swf
2. Run ooimpress
3. Press Create button
4. Press OK button
5. Choose from menu: _Insert -> _Object -> _Plugin
6. Type in file name unix_parts.swf or select any swf file.
7. Press OK

Actual Results:  Message box with warning: "An unrecoverable error has
accured. All modified files have been saved and can probably be
recovered at program restart."

Expected Results:  Successful insertion of object.

Additional info:

sh: line 1: bug-buddy: command not found
 
 
Fatal exception: Signal 11
Stack:
/usr/lib/ooo-1.1/program/libsal.so.3[0xca37c3]
/usr/lib/ooo-1.1/program/libsal.so.3[0xca3950]
/usr/lib/ooo-1.1/program/libsal.so.3[0xca3a19]
[0x82e420]
/usr/lib/ooo-1.1/program/libpl645li.so[0x459cd9e]
/usr/lib/ooo-1.1/program/libpl645li.so[0x459fe41]
/usr/lib/ooo-1.1/program/libpl645li.so[0x459f303]
/usr/lib/ooo-1.1/program/libpl645li.so[0x459fc56]
/usr/lib/ooo-1.1/program/libpl645li.so[0x459dd55]
/usr/lib/ooo-1.1/program/libpl645li.so[0x458a3ad]
/usr/lib/ooo-1.1/program/libpl645li.so[0x458aec4]
/usr/lib/ooo-1.1/program/libpl645li.so[0x4592227]
/usr/lib/ooo-1.1/program/libso645li.so(_ZN14SvPlugInObject11StartPlugInEv+0x59b)[0x34aa47d]
/usr/lib/ooo-1.1/program/libso645li.so(_ZN14SvPlugInObject15InPlaceActivateEh+0xa3)[0x34ab01f]
/usr/lib/ooo-1.1/program/libso645li.so(_ZN24ImplSvEditObjectProtocol15InPlaceActivateEh+0x2d5)[0x34a04c7]
/usr/lib/ooo-1.1/program/libso645li.so(_ZN20SvEditObjectProtocol15InPlaceActivateEh+0x45)[0x34a06bf]
/usr/lib/ooo-1.1/program/libso645li.so(_ZN15SvInPlaceObject17DoInPlaceActivateEh+0x8b)[0x349c917]
/usr/lib/ooo-1.1/program/libso645li.so(_ZN24ImplSvEditObjectProtocol10IPProtocolEv+0xbc)[0x349ec46]
/usr/lib/ooo-1.1/program/libso645li.so(_ZN20SvEditObjectProtocol10IPProtocolEv+0x36)[0x349ecb6]
/usr/lib/ooo-1.1/program/libso645li.so(_ZN14SvPlugInObject4VerbElP16SvEmbeddedClientP6WindowPK9Rectangle+0xc1)[0x34ab12b]
/usr/lib/ooo-1.1/program/libso645li.so(_ZN14SvPseudoObject6DoVerbElP16SvEmbeddedClientP6WindowPK9Rectangle+0x2d)[0x3490885]
/usr/lib/ooo-1.1/program/libso645li.so(_ZN16SvEmbeddedObject6DoVerbElP16SvEmbeddedClientP6WindowPK9Rectangle+0x3b)[0x3498a09]
/usr/lib/ooo-1.1/program/libso645li.so(_ZN16SvEmbeddedObject6DoVerbEl+0x141)[0x34989c5]
/usr/lib/ooo-1.1/program/libsfx645li.so(_ZN12SfxViewShell18CheckIPClient_ImplEP15SvInPlaceClientRK9Rectangle+0x42b)[0x98480d7]
/usr/lib/ooo-1.1/program/libsfx645li.so(_ZN16SfxInPlaceClient13TimerHdl_ImplEP5Timer+0x89)[0x97e4943]
/usr/lib/ooo-1.1/program/libsfx645li.so(_ZN16SfxInPlaceClient21LinkStubTimerHdl_ImplEPvS0_+0x26)[0x97e48b2]
/usr/lib/ooo-1.1/program/libvcl645li.so(_ZN5Timer7TimeoutEv+0x1f)[0x1e4007]
/usr/lib/ooo-1.1/program/libvcl645li.so(_Z21ImplTimerCallbackProcv+0x82)[0x1e3d5e]
/usr/lib/ooo-1.1/program/libvcl645li.so(_ZNK7SalData7TimeoutEv+0x12)[0x3b5fee]
/usr/lib/ooo-1.1/program/libvcl645li.so(_ZN7SalXLib12CheckTimeoutEb+0xd6)[0x3b5afe]
/usr/lib/ooo-1.1/program/libvcl645li.so(_ZN7SalXLib5YieldEh+0x30f)[0x3b5e1b]
/usr/lib/ooo-1.1/program/libvcl645li.so(_ZN11SalInstance5YieldEh+0x34)[0x3bf202]/usr/lib/ooo-1.1/program/libvcl645li.so(_ZN11Application5YieldEv+0x61)[0x1de6b7]/usr/lib/ooo-1.1/program/libvcl645li.so(_ZN11Application7ExecuteEv+0x35)[0x1de5c9]
/usr/lib/ooo-1.1/program/soffice.bin(_ZN7desktop7Desktop4MainEv+0x1f1c)[0x8065100]
/usr/lib/ooo-1.1/program/libvcl645li.so(_Z6SVMainv+0x49)[0x1e31f7]
/usr/lib/ooo-1.1/program/libvcl645li.so(main+0x4c)[0x3b48ac]
/lib/tls/libc.so.6(__libc_start_main+0xe4)[0x5e15ad4]
/usr/lib/ooo-1.1/program/soffice.bin(_ZN6Window11RequestHelpERK9HelpEvent+0x31)[0x805ded9]
Aborted
Comment 1 John 2004-08-24 23:49:45 EDT
Also crashes when inserting unix_parts.swf as video.
Comment 2 Caolan McNamara 2004-09-29 13:56:50 EDT
Could you try again with the latest openoffice.org-1.1.2-6, in that
version it doesn't crash (instead displays the default "I can't handle
that embedded object" graphic)
Comment 3 Caolan McNamara 2004-10-28 14:57:50 EDT
I've tried this in 1.1.2-10 again which is available for FC2 and FC3
and confirm no crash in that version.

Note You need to log in before you can comment on or make changes to this bug.